BEEM - Android XMPP - Feature #239

Add OTR for secure communication
02/15/2010 12:25 AM - Nikita Kozlov

Status: Closed Start date: 02/15/2010
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 100%
Category: XMPP Estimated time: 0.00 hour
Target version: 0.1.7

Description

It has been requested by someone by email and by another user on the market.
OTR (off the record) is a protocol to secure communication, focused on instant messaging.
It's already implemented in a lot of different xmpp clients (adium, pidgin, gajim, kopete ...) by plugins or directly in the trunk.

Related issues:
Has duplicate Feature #334: Add OTR support Closed 01/08/2011

History

#1 - 04/03/2010 01:05 AM - Anonymous

| would love to see OTR in Beem

#2 - 12/13/2010 02:17 PM - Frédéric Barthéléry
- Status changed from New to Assigned
- Assignee set to Nikita Kozlov

- Target version set to 0.2

A development repository is available at
http://beem-project.com/hg/otr/

#3 - 01/31/2011 05:01 PM - Victor N
Hi,
Even if OTR is not implemented, it would be nice to have something that detects it and say something back to the sender.

On my desktop | have OTR and | use it with some of my contacts, and when | switch to my phone (even sometimes not disconnecting the desktop,
since we have priorities), | get encoded messages on the phone and | cannot say anything else than "send it again not encoded please".

This is very annoying :)

Thank you!

#4 - 04/12/2011 10:22 PM - Nikita Kozlov
- File beemOTR.apk added

#5 - 04/15/2011 07:06 PM - Nikita Kozlov
- File BeemOitrFor23.apk added

adding a new build, which will work for android 2.3

#6 - 04/15/2011 11:53 PM - Nikita Kozlov
- File deleted (BeemQitrFor23.apk)

#7 - 04/16/2011 12:06 AM - Nikita Kozlov
- File BeemQtr23bis.apk added

new version of beemotr23
#8 - 04/16/2011 07:48 PM - Nikita Kozlov
- File BeemOtr23.2.apk added

added a keystore for otr KeyPair, added 2 buttons to display fingerprints.

#9 - 11/14/2011 12:02 PM - Danilo B

Any news on this?
#10 - 11/14/2011 02:17 PM - Nikita Kozlov
Danilo B wrote:
Any news on this?
Yes, the otr repo was merged with the trunk one week ago, so now you can test it through our nightlybuilds.
I'm not aware of bugs on the otr part, so it could bo as stable as the last trunk without otr patches.

If you could beta test it, it could be really useful since | haven't so many contact with otr :)

As said in the wiki, the last nightlybuild could be downloadable from this link : http://www.beem-project.com/Beem-debug.apk

#11 - 11/14/2011 02:51 PM - Danilo B
- File beem-otr.jpg added

Thanks. But apparently it doesn't work :/

#12 - 11/14/2011 05:58 PM - Nikita Kozlov
Danilo B wrote:
Thanks. But apparently it doesn't work :/
Could you please verify that you have successfully installed the nightlybuilds (you must have some otr related options in the menu in the Chat view)?
If you had a previous version of Beem installed from the market, you must first uninstall it before installing our nightly, since signatures mismatch.
If it's not your case, the output from adb logcat would be interesting.

#13 - 11/14/2011 06:29 PM - Danilo B

I uninstalled all existing installations of Beem and then installed http://www.beem-project.com/Beem-debug.apk.

There are no otr related options in the menu in the chat view: http:/imgur.com/a/mXAgR

| couldn't find any ofr related entries in the settings either.

Is the logcat of any help if | can't even find the otr settings? Maybe an issue with the builds?

#14 - 11/14/2011 07:49 PM - Nikita Kozlov

Danilo B wrote:

Is the logcat of any help if | can't even find the otr settings? Maybe an issue with the builds?

Yep, | investigated and it was an issue with out build bot, something was wrong with some permission on some folder, plus bad push on build.xml.
But it's fixed now and the new Beem-debug.apk look fine now.

#15 - 12/14/2011 07:49 PM - Nikita Kozlov

- Target version changed from 0.2to 0.1.7

#16 - 12/14/2011 07:49 PM - Nikita Kozlov
- Status changed from Assigned to Feedback

#17 - 01/06/2012 07:28 PM - Frédéric Barthéléry
- % Done changed from 0 to 90

#18 - 01/20/2012 03:53 PM - Nikita Kozlov
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

closing it since it's released. Please open a new ticket for reporting bugs on it.

Files

beemOTR.apk 828 KB 04/12/2011 Nikita Kozlov

BeemOtr23bis.apk 797 KB 04/16/2011 Nikita Kozlov

BeemOtr23.2.apk 799 KB 04/16/2011 Nikita Kozlov

beem-otr.jpg 73.6 KB 11/14/2011 Danilo B
